<?php get_header(); ?>
<div id="container">
	<div id="main">
		<?php if (is_tag()){ ?>
			<div class="strong"><?php _e('Tag: '); ?><span class="keyword"><?php single_cat_title() ?></span></div>
		<?php } elseif (is_category()){ ?>
			<div class="strong"><?php _e('Category: '); ?><span class="keyword"><?php single_cat_title() ?></span></div>
		<?php } ?>

    	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			<div class="post<?php if(function_exists (sticky_class)): sticky_class(); endif; ?>" id="post-<?php the_ID(); ?>">
				<div class="title">
					<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permalink to: '); ?><?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
					
					<div class="postmeta">
						<?php _e('Category'); ?>:&nbsp;<span class="category"><?php the_category(', ') ?></span>&nbsp;/
						<?php
							$tag = get_the_tags();
							if(!$tag){
								echo __('Tags: no tag /');
							}
							else{
						?>
						<?php _e('Tag'); ?>:&nbsp;<?php the_tags('<span>',',&nbsp;','</span>'); ?>&nbsp;/
						<?php } ?>
						<span class="comments"><?php comments_popup_link(__('Add Comment'), __('1 comment'), __('% comments')); ?></span>
						<?php edit_post_link(__('Edit'), ' / ', ''); ?>
					</div><!-- end postmeta -->
				</div><!-- end title -->
				<div class="clear"></div>
				
				<?php if (!(is_tag()) && !(is_category())){ ?>
				<div class="entry">
					<?php the_content(__('</p><p>Read More >></p>')); ?>
					<div class="clear"></div>
				</div><!-- end entry -->
				
				<?php } ?>
			</div><!-- end post -->
		<?php endwhile; ?>
			
    	<div class="navigation">
    		<div class="left"><?php next_posts_link(__('&laquo; Previous Entries')); ?></div>
    		<div class="right"><?php previous_posts_link(__('Next Entries &raquo;')); ?></div>
    		<div class="clear"></div>
    	</div><!-- end navigation -->
    	
	    <?php else : ?>
	    	<div class="post">
				<div class="title">
					<h2><?php _e('Sorry, nothing found!'); ?></h2>
				</div>
				<div class="clear"></div>
				<div class="entry no_result">
					<p class="no_result"><?php _e('Please use the search function, or visit the archives page.'); ?></p>
				</div>
			</div><!-- end post -->
		<?php endif; ?>
	</div><!-- end main -->
<?php get_sidebar(); ?>
<div class="clear"></div>
</div><!-- end container -->
<?php get_footer(); ?>